Archive the DidYouMean extension
Closed, ResolvedPublicRequest

Description

Reason:

DidYouMean has been proposed more than ten years ago (T10648) but never moved forward.

hashar created this task.Jun 5 2018, 7:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2018, 7:49 AM

Change 437399 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Archive mediawiki/extensions/DidYouMean

https://gerrit.wikimedia.org/r/437399

hashar added a comment.Jun 5 2018, 7:53 AM

And also the PHPUnit tests fail :]

Wikimedia\Rdbms\DBQueryError from line 1443 of includes/libs/rdbms/database/Database.php: A database query error has occurred. Did you forget to run your application's database schema updater after upgrading? 
Query: SELECT  MAX(rev_id)  FROM `unittest_revision`     LIMIT 1  
Function: {closure}
Error: 1146 Table 'wikidb.unittest_revision' doesn't exist (localhost:/tmp/quibble-mysql-dokhqh6b/socket)

Backtrace:
#0 includes/libs/rdbms/database/Database.php(1413): Wikimedia\Rdbms\Database->makeQueryException(string, integer, string, string)
#1 includes/libs/rdbms/database/Database.php(1186): Wikimedia\Rdbms\Database->reportQueryError(string, integer, string, string, boolean)
#2 includes/libs/rdbms/database/Database.php(1640): Wikimedia\Rdbms\Database->query(string, string)
#3 includes/libs/rdbms/database/Database.php(1465): Wikimedia\Rdbms\Database->select(string, string, array, string, array, array)
#4 [internal function]: Wikimedia\Rdbms\Database->selectField(string, string, array, string)
#5 includes/libs/rdbms/database/DBConnRef.php(49): call_user_func_array(array, array)
#6 includes/libs/rdbms/database/DBConnRef.php(245): Wikimedia\Rdbms\DBConnRef->__call(string, array)
#7 includes/page/WikiPage.php(2144): Wikimedia\Rdbms\DBConnRef->selectField(string, string, array, string) 
#8 includes/parser/Parser.php(2653): WikiPage->{closure}()
#9 extensions/DidYouMean/DidYouMean.hooks.php(43): Parser->getVariableValue(string)
#10 includes/Hooks.php(174): DidYouMeanHooks::parserBeforeStrip(Parser, string, StripState)
#11 includes/Hooks.php(202): Hooks::callHook(string, array, array, NULL)
#12 includes/parser/Parser.php(443): Hooks::run(string, array)
#13 includes/content/WikitextContent.php(323): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL) 
#14 includes/content/AbstractContent.php(516): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#15 includes/page/WikiPage.php(2149): AbstractContent->getParserOutput(Title, NULL, ParserOptions) 
#16 includes/page/WikiPage.php(1655): WikiPage->prepareContentForEdit(WikitextContent, NULL, User, string, boolean)
#17 tests/phpunit/MediaWikiTestCase.php(1129): WikiPage->doEditContent(WikitextContent, string, integer, boolean, User) 
#18 tests/phpunit/MediaWikiTestCase.php(404): MediaWikiTestCase->addCoreDBData()
#19 vendor/phpunit/phpunit/src/Framework/TestSuite.php(755): MediaWikiTestCase->run(PHPUnit\Framework\TestResult)
#20 vendor/phpunit/phpunit/src/Framework/TestSuite.php(755): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
#21 vendor/phpunit/phpunit/src/Framework/TestSuite.php(755): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
#22 vendor/phpunit/phpunit/src/Framework/TestSuite.php(755): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
#23 vendor/phpunit/phpunit/src/TextUI/TestRunner.php(546): PHPUnit\Framework\TestSuite->run(PHPUnit\Framework\TestResult)
#24 vendor/phpunit/phpunit/src/TextUI/Command.php(195): PHPUnit\TextUI\TestRunner->doRun(PHPUnit\Framework\TestSuite, array, boolean)
#25 vendor/phpunit/phpunit/src/TextUI/Command.php(148): PHPUnit\TextUI\Command->run(array, boolean)
#26 tests/phpunit/phpunit.php(134): PHPUnit\TextUI\Command::main()
#27 maintenance/doMaintenance.php(94): PHPUnitMaintClass->execute()
#28 tests/phpunit/phpunit.php(173): require(string)
#29 {main}

Change 437399 merged by jenkins-bot:
[integration/config@master] Archive mediawiki/extensions/DidYouMean

https://gerrit.wikimedia.org/r/437399

Liuxinyu970226 added a subscriber: Hippietrail.
Dinoguy1000 updated the task description. (Show Details)Jun 8 2018, 7:22 PM
MarcoAurelio triaged this task as Normal priority.
MarcoAurelio updated the task description. (Show Details)
MarcoAurelio removed a subscriber: gerritbot.
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptJun 8 2018, 7:43 PM
MarcoAurelio updated the task description. (Show Details)

Change 439293 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[translatewiki@master] Archive the DidYouMean extension

https://gerrit.wikimedia.org/r/439293

Change 439295 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/DidYouMean@master] Archive the DidYouMean extension

https://gerrit.wikimedia.org/r/439295

Change 439300 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/DidYouMean@refs/meta/config] Mark repository as read only

https://gerrit.wikimedia.org/r/439300

Change 439295 merged by Hashar:
[mediawiki/extensions/DidYouMean@master] Archive the DidYouMean extension

https://gerrit.wikimedia.org/r/439295

hashar updated the task description. (Show Details)Jun 9 2018, 8:14 PM

Change 439293 merged by jenkins-bot:
[translatewiki@master] Archive the DidYouMean extension

https://gerrit.wikimedia.org/r/439293

MarcoAurelio updated the task description. (Show Details)

Change 439466 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions@master] Archive the DidYouMean extension

https://gerrit.wikimedia.org/r/439466

Change 439466 merged by Hashar:
[mediawiki/extensions@master] Archive the DidYouMean extension

https://gerrit.wikimedia.org/r/439466

Change 439300 merged by Hashar:
[mediawiki/extensions/DidYouMean@refs/meta/config] Mark repository as read only

https://gerrit.wikimedia.org/r/439300

hashar updated the task description. (Show Details)Jun 11 2018, 12:00 PM
hashar closed this task as Resolved.
Vvjjkkii renamed this task from Archive the DidYouMean extension to xmbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii removed MarcoAurelio as the assignee of this task.
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot closed this task as Resolved.
CommunityTechBot claimed this task.
CommunityTechBot reassigned this task from CommunityTechBot to MarcoAurelio.
CommunityTechBot renamed this task from xmbaaaaaaa to Archive the DidYouMean extension.
CommunityTechBot added a subscriber: Aklapper.
CommunityTechBot added a subscriber: CommunityTechBot.